# List workflow statistics for a site

Fetches the workflows defined for a site, their states, and the number of pages in each state.

Endpoint: GET /api/v1/sites/{siteId}/statistics/workflow
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Path parameters:

  - `siteId` (string, required)
    The site identifier.

## Query parameters:

  - `environmentId` (string)
    Content Services environment identifier

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `workflows` (array)
    Collection of workflow statistics for the site.

  - `workflows.name` (string)
    The name of the workflow.
Example value: Sample Workflow
    Example: Sample Workflow

  - `workflows.states` (array)
    A collection of states defined for the workflow, and the number of pages in each state.

  - `workflows.states.name` (string)
    The name of the workflow state.
Example value: Draft
    Example: Draft

  - `workflows.states.pageCount` (integer)
    The number of site pages that are currently in this workflow state.
Example value: 60
    Example: 60

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

## Response 503:

  - `503` (unknown)
    Search service unavailable

